net.sf.jasperreports.engine.export.draw

## Class TextDrawer

- java.lang.Object
- - net.sf.jasperreports.engine.export.draw.ElementDrawer<JRPrintText>
  - - net.sf.jasperreports.engine.export.draw.TextDrawer

-     public class TextDrawer
      extends ElementDrawer<JRPrintText>

  Version:
    $Id: TextDrawer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AwtTextRenderer` | `textRenderer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextDrawer(AwtTextRenderer textRenderer)` Deprecated. Replaced by `TextDrawer(JasperReportsContext, AwtTextRenderer)`.
    `TextDrawer(JasperReportsContext jasperReportsContext, AwtTextRenderer textRenderer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Graphics2D grx, JRPrintText text, int offsetX, int offsetY)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.draw.ElementDrawer

      `drawBottomPen, drawBox, drawLeftPen, drawPen, drawRightPen, drawTopPen, getJasperReportsContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### textRenderer

          protected AwtTextRenderer textRenderer

  - ### Constructor Detail

    - #### TextDrawer

          public TextDrawer(AwtTextRenderer textRenderer)

      Deprecated. Replaced by `TextDrawer(JasperReportsContext, AwtTextRenderer)`.

    - #### TextDrawer

          public TextDrawer(JasperReportsContext jasperReportsContext,
                    AwtTextRenderer textRenderer)

  - ### Method Detail

    - #### draw

          public void draw(java.awt.Graphics2D grx,
                  JRPrintText text,
                  int offsetX,
                  int offsetY)

      Specified by:
        `draw` in class `ElementDrawer<JRPrintText>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com